#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lattices
version:              2.0.3
visibility:           public
id:                   lattices-2.0.3-LcQzp0KWq3h9vbW6s81fEm
key:                  lattices-2.0.3-LcQzp0KWq3h9vbW6s81fEm
license:              BSD-3-Clause
copyright:
    (C) 2010-2015 Maximilian Bolingbroke, 2016-2019 Oleg Grenrus

maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:
    Maximilian Bolingbroke <batterseapower@hotmail.com>, Oleg Grenrus <oleg.grenrus@iki.fi>

homepage:             http://github.com/phadej/lattices/
synopsis:
    Fine-grained library for constructing and manipulating lattices

description:
    In mathematics, a lattice is a partially ordered set in which every two
    elements @x@ and @y@ have a unique supremum (also called a least upper bound, join, or @x /\\ y@)
    and a unique infimum (also called a greatest lower bound, meet, or @x \\/ y@).

    This package provide type-classes for different lattice types, as well
    as a class for the partial order.

category:             Math
abi:                  1b8e15dcf49a2a79a28202e86234267d
exposed:              True
exposed-modules:
    Algebra.Heyting Algebra.Heyting.Free Algebra.Heyting.Free.Expr
    Algebra.Lattice Algebra.Lattice.Divisibility
    Algebra.Lattice.Dropped Algebra.Lattice.Free
    Algebra.Lattice.Free.Final Algebra.Lattice.Levitated
    Algebra.Lattice.Lexicographic Algebra.Lattice.Lifted
    Algebra.Lattice.M2 Algebra.Lattice.M3 Algebra.Lattice.N5
    Algebra.Lattice.Op Algebra.Lattice.Ordered Algebra.Lattice.Stacked
    Algebra.Lattice.Unicode Algebra.Lattice.Wide
    Algebra.Lattice.ZeroHalfOne Algebra.PartialOrd
    Algebra.PartialOrd.Instances

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lattices-2.0.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lattices-2.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lattices
hs-libraries:         HSlattices-2.0.3-LcQzp0KWq3h9vbW6s81fEm
depends:
    QuickCheck-2.14.2-CKku5U4XaTZ1OrrQj3RQZM base-4.15.1.0
    base-compat-0.12.1-Jgs1a6JPC25AMVxb7dCwve containers-0.6.4.1
    deepseq-1.4.5.0 ghc-prim-0.7.0
    hashable-1.4.0.2-A7cEvE0oiq92I0kqqbT0NC
    integer-logarithms-1.0.3.1-5kS6jNbEsIJGKjr4VAkZqE
    semigroupoids-5.3.7-5Xe3mmrUnJFL7evkYKNqog
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR transformers-0.5.6.2
    universe-base-1.1.3-DOZTJMBB4LVEqgJtvigh3E
    universe-reverse-instances-1.1.1-G4YxApB3dUELclj7fl9X6G
    unordered-containers-0.2.19.1-F6flbRdcGQH5ESgepmhKFP

haddock-interfaces:   /usr/share/doc/haskell-lattices/html/lattices.haddock
haddock-html:         /usr/share/doc/haskell-lattices/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

